# This is my documentation for the best course ever

## Matrix

All communication during the course will be done via [matrix](https://matrix.org/).
You can create an account on our own [local server](https://riot.86thumbs.net/) or choose one of the many providers online.
A *non exhaustive list* can be seen below.

* [nerdsin.space](https://nerdsin.space/#/welcome)
* [matrix.org](https://app.element.io/)
* the bxl [hackerspace](https://app.element.io/) offers accounts too

## Git

Git is a versioning system.
More information can be found on the [main](https://git-scm.com/) website.
A general overview of *how* git works can be seen in th diagram below.

![diagram git](images/git_diagram.png)

### Gitea

You can log in to our personal gitea [here](https://gitea.86thumbs.net).
Feel free to make as many repositories as you want to!
If you want to try out how multiple accounts work together you can create secondary accounts for yourself as well, or invite someone from class to test things out together.

### Practice

As practice you can do the following two exercizes.
I would advise to start with the first one.
Once you understand how branches work you could try the second game which is more riddles than git.
The third exercize is fully online and was an in class suggestion.

* [fracz](https://gitexercises.fracz.com/)
* [git-game](https://github.com/git-game/git-game)
* fully [online](https://www.katacoda.com/courses/git/1) exercizes

While doing the exercizes it is a *good* idea to keep track of the documentation and tutorials you find online.
At the bare minimum, make a list of links for future reference.
A more complete approach would be to create dedicated paragraphs for each exercize.

### Fracz

#### EX 1

This is a pretty simple one.
There is a commit waiting to be pushed, all you have to do is push it.
Remember, with this game it's not **push** but **verify**.

```
git verify
```

Once you verify and the solution is passed, you can go to the next exercize by executing:

```
git start next
```

If at some point you mess up, you can restart the exercize by typing:

```
git start
```

#### EX 2

Only add one file to the repository.
A quick tutorial on how to add files can be found [here](.

#### EX 3

#### EX 4

#### EX 5

#### EX 6

#### EX 7

#### EX 8

#### EX 9

